public class Coordinates{
	public static double[] rectToPolar(double right, double up){
		double[] answer = new double[2];
		
		if(right == 0){
			if(up == 0){
				answer[0] = 0;
				answer[1] = 0;
			} else {
				answer[0] = Math.abs(up);
				answer[1] = (up > 0) ? 90 : 270;
			}
		} else {
			if(up == 0){
				answer[0] = Math.abs(right);
				answer[1] = (right > 0) ? 0 : 180;
			} else {
				answer[0] = Math.sqrt(up*up + right*right);
				if(right > 0){
					if(up > 0)
						answer[1] = 180/Math.PI*Math.atan(up/right);
					else answer[1] = 360+180/Math.PI*Math.atan(up/right);
				} else {
					if(up > 0)
						answer[1] = 180+180/Math.PI*Math.atan(up/right);
					else answer[1] = 180+180/Math.PI*Math.atan(up/right);
				}
			}
		}
		return answer;
	}
	
	public static double[] polarToRect(double length, double angle){
		double[] answer = new double[2];
		
		answer[0] = length*Math.cos(angle/180*Math.PI);
		answer[1] = length*Math.sin(angle/180*Math.PI);
		
		return answer;
	}
	
	public static void main(String args[]){
		double[] answer = Coordinates.rectToPolar(new Double(args[0]).doubleValue(), new Double(args[1]).doubleValue());
		System.out.println("Length = " + answer[0]);
		System.out.println("Angles = " + answer[1]);
		answer = Coordinates.polarToRect(answer[0], answer[1]);
		System.out.println("X = " + answer[0]);
		System.out.println("Y = " + answer[1]);
	}
}